DCMTK: IODReferences Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
IODReferences Class Reference

Class that holds a set of IODReference instances (or its sub classes) and offers helper functionality to read and write such references. More...

## Public Member Functions
| IODReferences ()
| Default constructor.
| IODReferences (const IODReferences &rhs)
| Copy constructor, performs deep copy of provided references.
IODReferences & | operator= (const IODReferences &rhs)
| Assignment operator, copies all provided references.
virtual | ~IODReferences ()
| Destructor, frees memory.
virtual OFCondition | readTractographyReferencedInstanceSequence (DcmItem &source)
| Initialize references by reading the Referenced Instance Sequence as used in the Tractography Results Module.
virtual OFCondition | writeTractographyReferencedInstanceSequence (DcmItem &item)
| Write references to Referenced Instance Sequence as used in the Tractography Results Module.
virtual OFBool | add (IODReference *ref)
| Add reference to this set of references.
virtual size_t | addFromFiles (const OFVector< OFString > &dcmFiles, const IODReference::MAX_LEVEL maxLevel=IODReference::LEVEL_STUDY)
| Initialize references from set of DICOM files.
const OFVector< IODReference * > & | get () const
| Access references of this set (readonly)
virtual size_t | size () const
| Returns number of references managed by this class.
virtual void | clearData ()
| Clears all references.

## Private Attributes
OFVector< IODReference * > | m_References
| Set of references managed by this class.

## Detailed Description

Class that holds a set of IODReference instances (or its sub classes) and offers helper functionality to read and write such references.

## Constructor & Destructor Documentation

## ◆ IODReferences()

IODReferences::IODReferences | ( | const IODReferences & | rhs | ) |

Copy constructor, performs deep copy of provided references.

Parameters

  rhs | The references to assign

References IODReferences().

## Member Function Documentation

## ◆ add()

virtual OFBool IODReferences::add | ( | IODReference * | ref | ) |
| virtual

Add reference to this set of references.

Parameters

  ref | The reference to add (ownership is taken if adding is successful

Returns
  OFTrue if adding is successful, OFFalse otherwise

## ◆ addFromFiles()

virtual size_t IODReferences::addFromFiles | ( | const OFVector< OFString > & | dcmFiles,
|  | const IODReference::MAX_LEVEL | maxLevel = IODReference::LEVEL_STUDY )
| virtual

Initialize references from set of DICOM files.

If a file could not be used, it is skipped. All references found by this method are added on top of existing ones, i.e. any existing data is not cleared by this method.

Parameters

  dcmFiles | The DICOM file names to read
  maxLevel | The maximum level to extract

Returns
  Returns number of references (successful files) that could be added

References IODReference::LEVEL_STUDY.

## ◆ get()

const OFVector< IODReference * > & IODReferences::get | ( |  | ) | const

Access references of this set (readonly)

Returns
  Returns references managed by this class

## ◆ operator=()

IODReferences & IODReferences::operator= | ( | const IODReferences & | rhs | ) |

Assignment operator, copies all provided references.

Parameters

  rhs | The right hand side of the assignment

Returns
  Reference to "this" object

References IODReferences().

## ◆ readTractographyReferencedInstanceSequence()

virtual OFCondition IODReferences::readTractographyReferencedInstanceSequence | ( | DcmItem & | source | ) |
| virtual

Initialize references by reading the Referenced Instance Sequence as used in the Tractography Results Module.

Parameters

  source | The item to read from, must contain the Referenced Instance Sequence

Returns
  EC_Normal if all references could be read, IOD_EC_InvalidReference if no reference could be read, and IOD_EC_ReferencesOmitted if at least one reference could be read but at least one had also to be skipped.

## ◆ size()

virtual size_t IODReferences::size | ( |  | ) | const
| virtual

Returns number of references managed by this class.

Returns
  Returns number of references

## ◆ writeTractographyReferencedInstanceSequence()

virtual OFCondition IODReferences::writeTractographyReferencedInstanceSequence | ( | DcmItem & | item | ) |
| virtual

Write references to Referenced Instance Sequence as used in the Tractography Results Module.

Parameters

  item | The item to write to

Returns
  EC_Normal if all references could be written, error code otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodreferences.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2